# PhasicFlow: stlFile Class Reference

stlFile Class Reference
Collaboration diagram for stlFile:
[legend]

## Public Member Functions

| stlFile (fileSystem file)
| stlFile (fileSystem file, const word &name, const realx3x3Vector &vertecies)
| stlFile (fileSystem file, const word &name, realx3x3Vector &&vertecies)
| stlFile (const stlFile &)=default
| stlFile (stlFile &&)=default
| ~stlFile ()=default
void | addSolid (const word &name, const realx3x3Vector &vertecies)
void | addSolid (const word &name, realx3x3Vector &&vertecies)
bool | read ()
bool | write () const
void | setFile (fileSystem file) const
const wordList & | names () const
size_t | size () const
const realx3x3Vector & | solid (label i) const
const word & | name (label i) const

## Protected Member Functions

bool | readSolid (iIstream &is, realx3x3Vector &vertecies, word &name)
bool | readFacet (iIstream &is, realx3x3 &tri)
bool | writeSolid (iOstream &os, const realx3x3Vector &vertecies, const word &name) const
bool | writeFacet (iOstream &os, const realx3x3 &tri) const

## Protected Attributes

ListPtr< realx3x3Vector > | solids_
wordList | solidNames_
fileSystem | file_

## Detailed Description

Definition at line 38 of file stlFile.hpp.

## Constructor & Destructor Documentation

## stlFile() [1/5]

stlFile | ( | fileSystem | file | ) |

Definition at line 238 of file stlFile.cpp.

## stlFile() [2/5]

stlFile | ( | fileSystem | file,
|  | const word & | name,
|  | const realx3x3Vector & | vertecies
| ) |  |

Definition at line 245 of file stlFile.cpp.

## stlFile() [3/5]

stlFile | ( | fileSystem | file,
|  | const word & | name,
|  | realx3x3Vector && | vertecies
| ) |  |

Definition at line 258 of file stlFile.cpp.

## stlFile() [4/5]

stlFile | ( | const stlFile & |  | ) |

default

## stlFile() [5/5]

stlFile | ( | stlFile && |  | ) |

default

## ~stlFile()

~stlFile | ( |  | ) |

default

## Member Function Documentation

## readSolid()

bool readSolid | ( | iIstream & | is,
|  | realx3x3Vector & | vertecies,
|  | word & | name
| ) |  |

protected

Definition at line 52 of file stlFile.cpp.

References pFlow::badInput(), pFlow::checkWordToken(), Vector< T, Allocator >::clear(), iIstream::putBack(), and pFlow::real2Word().

Here is the call graph for this function:

## readFacet()

bool readFacet | ( | iIstream & | is,
|  | realx3x3 & | tri
| ) |  |

protected

Definition at line 127 of file stlFile.cpp.

References pFlow::checkNumberToken(), pFlow::checkWordToken(), triple< T >::x(), triple< T >::y(), and triple< T >::z().

Here is the call graph for this function:

## writeSolid()

bool writeSolid | ( | iOstream & | os,
|  | const realx3x3Vector & | vertecies,
|  | const word & | name
| ) |  | const

protected

Definition at line 222 of file stlFile.cpp.

References pFlow::endl(), and pFlow::spaceToken().

Here is the call graph for this function:

## writeFacet()

bool writeFacet | ( | iOstream & | os,
|  | const realx3x3 & | tri
| ) |  | const

protected

Definition at line 178 of file stlFile.cpp.

References cross(), iOstream::decrIndent(), pFlow::endl(), iOstream::incrIndent(), pFlow::indent(), n, pFlow::spaceToken(), triple< T >::x(), triple< T >::y(), and triple< T >::z().

Here is the call graph for this function:

## addSolid() [1/2]

void addSolid | ( | const word & | name,
|  | const realx3x3Vector & | vertecies
| ) |  |

Definition at line 270 of file stlFile.cpp.

## addSolid() [2/2]

void addSolid | ( | const word & | name,
|  | realx3x3Vector && | vertecies
| ) |  |

Definition at line 281 of file stlFile.cpp.

## read()

bool read | ( |  | ) |

Definition at line 292 of file stlFile.cpp.

References IOstream::eof(), ioErrorInFile, IOstream::lineNumber(), Istream::name(), and iIstream::putBack().

Referenced by stlWall::readSTLWall().

Here is the call graph for this function:
Here is the caller graph for this function:

## write()

bool write | ( |  | ) | const

Definition at line 324 of file stlFile.cpp.

References Ostream::precision().

Here is the call graph for this function:

## setFile()

void setFile | ( | fileSystem | file | ) | const

Definition at line 337 of file stlFile.cpp.

## names()

const pFlow::wordList & names | ( |  | ) | const

Definition at line 344 of file stlFile.cpp.

## size()

size_t size | ( |  | ) | const

Definition at line 349 of file stlFile.cpp.

Referenced by stlWall::readSTLWall().

Here is the caller graph for this function:

## solid()

const pFlow::realx3x3Vector & solid | ( | label | i | ) | const

Definition at line 355 of file stlFile.cpp.

References pFlow::endl(), fatalErrorInFunction, and fatalExit.

Referenced by stlWall::readSTLWall().

Here is the call graph for this function:
Here is the caller graph for this function:

## name()

const pFlow::word & name | ( | label | i | ) | const

Definition at line 371 of file stlFile.cpp.

References pFlow::endl(), fatalErrorInFunction, and fatalExit.

Here is the call graph for this function:

## Member Data Documentation

## solids_

ListPtr<realx3x3Vector> solids_

protected

Definition at line 45 of file stlFile.hpp.

## solidNames_

wordList solidNames_

protected

Definition at line 48 of file stlFile.hpp.

## file_

fileSystem file_

mutableprotected

Definition at line 51 of file stlFile.hpp.

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/trisurfaceStructure/stlFile.hpp
- src/phasicFlow/structuredData/trisurfaceStructure/stlFile.cpp